import './index.less'
import {Button as TButton} from 'tdesign-react'

export default function (props) {
    const {onClick, className, icon} = props;
    const realIcon = icon ?? '';
    const btnClick = () => {
        if (onClick) {
            onClick()
        }
    }
    return (
        <TButton onClick={btnClick} icon={realIcon}
                 className={['custom-reset-t-button', className ?? ''].join(' ')}>{props.children}</TButton>
    )
}
